# GitHub POC Exploit Collector

A tool for collecting and organizing proof-of-concept (POC) code from GitHub repositories that demonstrate security vulnerabilities.

## Overview

This tool automates the process of finding, downloading, and organizing security-related POC code from GitHub. It helps security researchers and professionals gather exploit code for analysis, testing, and educational purposes.

## Features

- **Search Automation**: Searches GitHub for repositories containing POC code for specified CVEs or vulnerabilities
- **Batch Processing**: Handles multiple CVE searches in a single run
- **Local Organization**: Creates a structured directory of downloaded repositories for easy reference

## Installation

```bash
# Clone the repository
git clone https://git.mcdevitt.tech/bpmcdevitt/github_poc_collector.git
cd github_poc_collector
```

## Usage
```bash
# build it
cargo build

# run it --recent feed
cargo run -- --feed recent

# run it --full feed
cargo run -- --feed full
```
